<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package SKT Handy
 */
?>
<div id="footer-wrapper">
    	<div class="container footer">
             <div class="cols-3 widget-column-1">  
             
              <?php if ( get_theme_mod('about_title') !== "") { ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'about_title', __('About Us','skt-handy'))); ?></h5>             
			   <?php } ?>
               
                <?php if ( get_theme_mod('about_description') !== "") { ?>
                <p><?php echo html_entity_decode(esc_attr( get_theme_mod( 'about_description', __('Sed suscipit etisds sit proin efficitur nibh euismod. Proindes venenatis orcfrdeesi sitmauris nec mauris vulputate, a posuere libero congue. Nam laoreet elit eu erat pulvinar, et efficitur nibh euismod. Proin venenatis orci sit amet nisl finibus vehicula. <br /> <br /> Sed suscipit mauris nec mauris vulputate, a posuere libero congue. Nam laoreet elit eu erat pulvinar, et efficitur nibh euismod. Proin venenatis orci sit amet nisl finibus vehicula.','skt-handy')))); ?></p>
			   <?php } ?>                   
         
            </div><!--end .widget-column-1-->                  
			    
                      
               <div class="cols-3 widget-column-2">  
               
                <?php if ( get_theme_mod('footerpost_title') !== "") { ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'footerpost_title', __('Recent Post','skt-handy'))); ?></h5>            
			  <?php } ?>  
              
              <?php $args = array( 'posts_per_page' => 2, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
					$postquery = new WP_Query( $args );
					?>
                    <?php while( $postquery->have_posts() ) : $postquery->the_post(); ?>
                        <div class="recent-post">
                            <div class="footerthumb"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_post_thumbnail(); ?></a></div>                           	
                            <p><?php echo skt_handy_content(12); ?></p> 
                            <a class="morebtn" href="<?php echo esc_url( get_permalink() ); ?>"><?php esc_attr_e('Read More..','skt-handy'); ?></a>                                              
                        </div>
                    <?php endwhile; ?>
                    <?php wp_reset_postdata(); ?>                    
				
              </div><!--end .widget-column-3-->
                
             <div class="cols-3 widget-column-3">  
                             
               <?php if ( get_theme_mod( 'contact_title' ) !== "" ){  ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'contact_title', __('Contact Info','skt-handy'))); ?></h5>              
			   <?php } ?>
                             
               <?php if ( get_theme_mod('contact_add') !== "") { ?>
                <div class="siteaddress">
				   <?php echo esc_attr_e( get_theme_mod( 'contact_add', __('591 Christie Way Passaic Street, North Carolina, America ( USA )','skt-handy'))); ?>
                </div>             
			   <?php } ?> 
               
             <div class="phone-no">	  
               <?php if ( get_theme_mod('contact_no') !== "") { ?>
               <p><span><?php esc_html_e('Phone:', 'skt-handy');?></span> <?php echo esc_attr_e( get_theme_mod( 'contact_no', __('+123 456 7890','skt-handy'))); ?></p>             
			   <?php } ?>  
               
               <?php if( get_theme_mod('contact_mail') !== ""){ ?>
               <p><span><?php esc_html_e('Email:', 'skt-handy');?></span>
               <a href="mailto:<?php echo sanitize_email(get_theme_mod('contact_mail','contact@company.com')); ?>"><?php echo get_theme_mod('contact_mail','contact@company.com'); ?></a>	</p>		
			  <?php } ?> 
              
               
              <?php if ( get_theme_mod( 'office_hours' ) !== "" ){  ?>
                <p><span><?php esc_html_e('Office Hours:', 'skt-handy');?></span><?php echo esc_attr_e( get_theme_mod( 'office_hours', __('Monday to Fiday: 9.00 to 5.00','skt-handy'))); ?></p>              
			 <?php } ?>  
                         
          </div>
          
          <div class="footer-social-icons">        
			<?php if ( get_theme_mod('fb_link') !== "") { ?>
            <a title="facebook" class="fb" target="_blank" href="<?php echo esc_url(get_theme_mod('fb_link','#facebook')); ?>"></a> 
            <?php } ?>       
            
            <?php if ( get_theme_mod('twitt_link') !== "") { ?>
            <a title="twitter" class="tw" target="_blank" href="<?php echo esc_url(get_theme_mod('twitt_link','#twitter')); ?>"></a>
            <?php } ?>     
            
            <?php if ( get_theme_mod('gplus_link') !== "") { ?>
            <a title="google-plus" class="gp" target="_blank" href="<?php echo esc_url(get_theme_mod('gplus_link','#gplus')); ?>"></a>
            <?php } ?>        
            
            <?php if ( get_theme_mod('linked_link') !== "") { ?> 
            <a title="linkedin" class="in" target="_blank" href="<?php echo esc_url(get_theme_mod('linked_link','#linkedin')); ?>"></a>
            <?php } ?>                   
    	  </div> 
          
          </div><!--end .widget-column-4-->
                
                
            <div class="clear"></div>
        </div><!--end .container--> 
        
         <div class="copyright-wrapper">
        	<div class="container">
           		 <div class="copyright-txt"><?php if( is_home() && is_front_page() || is_home() || is_front_page()) {?>
                <a class="cprt" href="<?php echo esc_url('https://www.sktthemes.org/shop/free-doctor-wordpress-theme/');?>" target="_blank">
                <?php echo esc_html('SKT Handy'); ?>
                </a>
                <?php } else {?>
                <?php echo esc_html('SKT Handy'); ?>
                <?php } ?></div>
            	 <div class="design-by"></div>
                 <div class="clear"></div>
            </div>           
        </div>
               
    </div><!--end .footer-wrapper-->
<?php wp_footer(); ?>

</body>
</html>