<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package SKT Handy
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="header">
  <div class="container">
   <div class="logo">  
      <?php skt_handy_the_custom_logo(); ?>   
      <a href="<?php echo home_url('/'); ?>">
		<h1><?php bloginfo('name'); ?></h1>
        <p><?php bloginfo('description'); ?></p>      
      </a>    
   </div><!-- logo -->
    
    
<div class="widget-right">


<?php if ( get_theme_mod('book_appointment_link') !== "") { ?>
          <div class="getaquote">
             <a href="<?php echo esc_url(get_theme_mod('book_appointment_link','#')); ?>"><?php esc_attr_e('Book Appointment','skt-handy'); ?></a>
          </div>
<?php } ?>  
	    <div class="toggle">
          <a class="toggleMenu" href="#"><?php esc_attr_e('Menu','skt-handy'); ?></a>
        </div> 
        <div class="sitenav">
          <?php wp_nav_menu( array('theme_location' => 'primary') ); ?>         
        </div><!-- .sitenav-->
		 
       <div class="clear"></div>
</div><!--.widget-right-->
<div class="clear"></div>
         
</div> <!-- container -->
  
  <div id="Headinfo">
    <div class="container">
       <?php if ( ! dynamic_sidebar( 'header-right-widget' ) ) : ?>  
  
          <div class="hdrinfo">
			  <?php if ( get_theme_mod('contact_no') !== "") { ?>      
              <img style="margin:0 5px -1px 0;" src="<?php echo esc_url(get_template_directory_uri()); ?>/images/footer-icon-phone.png" alt="" />
              <?php echo esc_attr_e( get_theme_mod( 'contact_no', __('855-321-9876','skt-handy'))); ?>
              <?php } ?>
              
               <?php if( get_theme_mod('contact_mail') !== ""){ ?>
                <a href="mailto:<?php echo sanitize_email(get_theme_mod('contact_mail','contact@company.com')); ?>">
                    <img style="margin:0 5px -1px 0;" src="<?php echo esc_url(get_template_directory_uri()); ?>/images/footer-icon-email.png" alt="" /> <?php echo get_theme_mod('contact_mail','contact@company.com'); ?>
                 </a>	
               <?php } ?> 
          </div>
    
                    
       <div class="header-social-icons">        
		<?php if ( get_theme_mod('fb_link') !== "") { ?>
        <a title="facebook" class="fb" target="_blank" href="<?php echo esc_url(get_theme_mod('fb_link','#facebook')); ?>"></a> 
        <?php } ?>       
        
        <?php if ( get_theme_mod('twitt_link') !== "") { ?>
        <a title="twitter" class="tw" target="_blank" href="<?php echo esc_url(get_theme_mod('twitt_link','#twitter')); ?>"></a>
        <?php } ?>     
        
        <?php if ( get_theme_mod('gplus_link') !== "") { ?>
        <a title="google-plus" class="gp" target="_blank" href="<?php echo esc_url(get_theme_mod('gplus_link','#gplus')); ?>"></a>
        <?php } ?>        
        
        <?php if ( get_theme_mod('linked_link') !== "") { ?> 
        <a title="linkedin" class="in" target="_blank" href="<?php echo esc_url(get_theme_mod('linked_link','#linkedin')); ?>"></a>
        <?php } ?>                   
      </div> 
      <div class="clear"></div>           
    <?php endif; // end sidebar widget area ?>	
           
   </div> <!-- container -->    
 </div> <!-- #Headinfo -->
</div><!--.header -->
<?php if ( is_front_page() || is_home() ) { ?>
<?php if( get_theme_mod( 'hide_slides' ) == '') { ?>
<!-- Slider Section -->
<?php for($sld=7; $sld<10; $sld++) { ?>
	<?php if( get_theme_mod('page-setting'.$sld)) { ?>
     <?php $slidequery = new WP_query('page_id='.get_theme_mod('page-setting'.$sld,true)); ?>
		<?php while( $slidequery->have_posts() ) : $slidequery->the_post();
        $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
        $img_arr[] = $image;
        $id_arr[] = $post->ID;
        endwhile;
  	  }
    }
?>
<?php if(!empty($id_arr)){ ?>
<section id="home_slider">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider">
      <?php 
	$i=1;
	foreach($img_arr as $url){ ?>
      <img src="<?php echo $url; ?>" title="#slidecaption<?php echo $i; ?>" />
      <?php $i++; }  ?>
    </div>
	 <?php 
        $i=1;
        foreach($id_arr as $id){ 
        $title = get_the_title( $id ); 
        $post = get_post($id); 
        $content = apply_filters('the_content', substr(strip_tags($post->post_content), 0, 50)); 
      ?>
    <div id="slidecaption<?php echo $i; ?>" class="nivo-html-caption">
      <div class="slide_info">
        <h2><?php echo $title; ?></h2>
        <?php echo $content; ?>
        <div class="clear"></div> 
        <a class="slide_more" href="<?php echo esc_url( get_permalink() ); ?>"><?php esc_html_e('Learn More', 'skt-handy');?></a>              
      </div>
    </div>
    <?php $i++; } ?>
  </div>
  <div class="clear"></div>
</section>
<?php } else { ?>
<section id="home_slider">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider">
     <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider1.jpg" alt="" title="#slidecaption1" />
     <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider2.jpg" alt="" title="#slidecaption2" />
     <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider3.jpg" alt="" title="#slidecaption3" />
    </div>
    <div id="slidecaption1" class="nivo-html-caption">
      <div class="slide_info">
        <h2>
          <?php esc_html_e('Orthopaedic & Hand Surgery', 'skt-handy');?>
        </h2>
        <p><?php esc_html_e('Phasellus nec metus feugiat est quis, vestibulum ante. Proin id vehicula enim feugiat est quis, vestibulum ante habitant', 'skt-handy');?></p>  
         <a class="slide_more" href="#"><?php esc_html_e('Learn More', 'skt-handy');?></a>      
       
      </div>
    </div>
    <div id="slidecaption2" class="nivo-html-caption">
      <div class="slide_info">
         <h2>
          <?php esc_html_e('Vestibulum ante habitant', 'skt-handy');?>
        </h2>
        <p><?php esc_html_e('Phasellus nec metus feugiat est quis, vestibulum ante. Proin id vehicula enim feugiat est quis, vestibulum ante habitant', 'skt-handy');?></p>
        <a class="slide_more" href="#"><?php esc_html_e('Learn More', 'skt-handy');?></a>   
      </div>
    </div>
    <div id="slidecaption3" class="nivo-html-caption">
      <div class="slide_info">
         <h2>
          <?php esc_html_e('Happy Smile', 'skt-handy');?>
        </h2>
        <p><?php esc_html_e('Phasellus nec metus feugiat est quis, vestibulum ante. Proin id vehicula enim feugiat est quis, vestibulum ante habitant', 'skt-handy');?></p>
        <a class="slide_more" href="#"><?php esc_html_e('Learn More', 'skt-handy');?></a>   
      </div>
    </div>
  </div>
  <div class="clear"></div> 
</section><!-- Slider Section -->
<?php } } } ?>

<?php if ( is_front_page() || is_home() ) { ?>


<?php if( get_theme_mod( 'hide_welcomesection' ) == '') { ?>
<section id="wrapfirst">
  <div class="container">
    <div class="welcomewrap">    
      <?php if( get_theme_mod('page-setting1')) { ?>
      <?php $queryvar = new WP_query('page_id='.get_theme_mod('page-setting1' ,true)); ?>
      <?php while( $queryvar->have_posts() ) : $queryvar->the_post();?>
     
      <h2 class="section_title">
        <?php the_title(); ?>
      </h2>      
      <p><?php echo skt_handy_content(40); ?></p>      
      <div class="clear"></div>
      <?php endwhile; } else { ?>     
      <h2 class="section_title">
        <?php esc_attr_e('Our Specialist','skt-handy'); ?>
      </h2>
      <p>
        <?php esc_attr_e('Bulum iaculis lacinia est. Proin dictum elemntum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit met consectetuer adipiscing elit. ellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet. ','skt-handy'); ?>
      </p>     
      <?php } ?>
    </div> <!-- welcomewrap-->
    <div class="clear"></div>
  </div><!-- container -->
</section>
<div class="clear"></div>
<?php } ?>



<?php if( get_theme_mod( 'hide_pagefourboxes' ) == '') { 
$txt_arr = array( esc_attr__('Spine','skt-handy'), esc_attr__('Hand','skt-handy'), esc_attr__('Foot & Ankle','skt-handy'), esc_attr__('Shoulder Elbow','skt-handy'));
?>
<section id="pagearea">
  <div class="container">   
      <?php for($p=1; $p<5; $p++) { ?>
      <?php if( get_theme_mod('page-column'.$p,false)) { ?>
      <?php $queryxxx = new WP_query('page_id='.get_theme_mod('page-column'.$p,true)); ?>
      <?php while( $queryxxx->have_posts() ) : $queryxxx->the_post(); ?>
      <div class="fourbox <?php if($p % 4 == 0) { echo "last_column"; } ?>"> 
          <?php if( has_post_thumbnail() ) { ?>
			<div class="thumbbx"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_post_thumbnail();?></a></div>
          <?php } ?> 	
          <h3><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h3>        
		  <p><?php echo skt_handy_content(20); ?></p>          
      </div>
      <?php endwhile;
       wp_reset_query(); ?>
      <?php } else { ?>
      <div class="fourbox <?php if($p % 4 == 0) { echo "last_column"; } ?>">  
        <div class="thumbbx"><a href="#"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/special-icon<?php echo $p; ?>.png" alt="" /></a></div>
        <h3><a href="#"><?php echo $txt_arr[$p-1]; ?></a></h3>        
        <p>
          <?php esc_attr_e('Cras aliquet, tellus a dignissim aliquam, nibh erat vulputate justo, in posuere tortor mi a nisi nibh erates Quisque orci dolor tellus.','skt-handy'); ?>
        </p>
       
    </div>
  <?php  }} ?>
      <div class="clear"></div> 
  </div><!-- container -->
</section><!-- #pagearea -->
<div class="clear"></div>
<?php } } ?>